Create an API

Deprecated
View as Markdown
Creates an API.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

workspaceIdstringRequired
The workspace's ID.

Request

This endpoint expects an object.
namestringRequired
The API's name.
summarystringOptional
The API's short summary.
descriptionstringOptional
The API's description. This supports Markdown formatting.

Response

Successful Response
idstring
The API's ID.
namestring
The API's name.
summarystring
The API's short summary.
createdAtdatetime
The date and time at which the API was created.
createdByinteger
The Postman ID of the user that created the API.
updatedAtdatetime
The date and time at which the API was updated.
updatedByinteger
The Postman ID of the user that updated the API.
descriptionstring
The API's description.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error